from GraphGrammarEdit import *
from GGruleEdit import *

def savedTrans(self):
   self.EditingGraphGrammar= GraphGrammarEdit(None, self)
   self.EditingGraphGrammar.Name=ATOM3String('TrafficGrammar', 20)
   self.EditingGraphGrammar.Rules=ATOM3List([ 1, 1, 1, 0],GGruleEdit,None, self)
   lcobj0=[]
   cobj0= GGruleEdit(None, self)
   cobj0.Name=ATOM3String('carOnRoadSegment', 20)
   cobj0.Order=ATOM3Integer(1)
   cobj0.TimeDelay=ATOM3Integer(2)
   cobj0.SubtypesMatching=ATOM3Boolean()
   cobj0.SubtypesMatching.setValue((None, 1))
   cobj0.SubtypesMatching.config = 0

   from ASG_Traffic import *
   from T_ForkJoin import *
   from T_Car import *
   from T_RoadSegment import *
   from T_Next import *
   from T_DrivesOn import *
   from T_Split import *
   from T_Join import *
   from T_ForkSplit import *
   from T_Place import *

   cobj0.LHS = ASG_Traffic(self)

   self.obj259=T_Place(self)
   self.obj259.preAction( cobj0.LHS.CREATE )
   self.obj259.isGraphObjectVisual = True

   if(hasattr(self.obj259, '_setHierarchicalLink')):
     self.obj259._setHierarchicalLink(False)

   self.obj259.GGLabel.setValue(2)
   self.obj259.graphClass_= graph_T_Place
   if self.genGraphics:
      new_obj = graph_T_Place(220.0,160.0,self.obj259)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj259.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj259)
   self.obj259.postAction( cobj0.LHS.CREATE )

   self.obj258=T_RoadSegment(self)
   self.obj258.preAction( cobj0.LHS.CREATE )
   self.obj258.isGraphObjectVisual = True

   if(hasattr(self.obj258, '_setHierarchicalLink')):
     self.obj258._setHierarchicalLink(False)

   self.obj258.GGLabel.setValue(1)
   self.obj258.graphClass_= graph_T_RoadSegment
   if self.genGraphics:
      new_obj = graph_T_RoadSegment(80.0,80.0,self.obj258)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj258.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj258)
   self.obj258.postAction( cobj0.LHS.CREATE )

   self.obj264=T_Car(self)
   self.obj264.preAction( cobj0.LHS.CREATE )
   self.obj264.isGraphObjectVisual = True

   if(hasattr(self.obj264, '_setHierarchicalLink')):
     self.obj264._setHierarchicalLink(False)

   self.obj264.GGLabel.setValue(4)
   self.obj264.graphClass_= graph_T_Car
   if self.genGraphics:
      new_obj = graph_T_Car(320.0,20.0,self.obj264)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj264.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj264)
   self.obj264.postAction( cobj0.LHS.CREATE )

   self.obj265=T_DrivesOn(self)
   self.obj265.preAction( cobj0.LHS.CREATE )
   self.obj265.isGraphObjectVisual = True

   if(hasattr(self.obj265, '_setHierarchicalLink')):
     self.obj265._setHierarchicalLink(False)

   self.obj265.GGLabel.setValue(5)
   self.obj265.graphClass_= graph_T_DrivesOn
   if self.genGraphics:
      new_obj = graph_T_DrivesOn(225.0,74.5,self.obj265)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj265.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj265)
   self.obj265.postAction( cobj0.LHS.CREATE )

   self.obj260=T_Next(self)
   self.obj260.preAction( cobj0.LHS.CREATE )
   self.obj260.isGraphObjectVisual = True

   if(hasattr(self.obj260, '_setHierarchicalLink')):
     self.obj260._setHierarchicalLink(False)

   self.obj260.GGLabel.setValue(3)
   self.obj260.graphClass_= graph_T_Next
   if self.genGraphics:
      new_obj = graph_T_Next(175.0,145.5,self.obj260)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj260.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj260)
   self.obj260.postAction( cobj0.LHS.CREATE )

   self.obj258.out_connections_.append(self.obj260)
   self.obj260.in_connections_.append(self.obj258)
   self.obj258.graphObject_.pendingConnections.append((self.obj258.graphObject_.tag, self.obj260.graphObject_.tag, [129.0, 105.0, 175.0, 145.5], 0, True))
   self.obj264.out_connections_.append(self.obj265)
   self.obj265.in_connections_.append(self.obj264)
   self.obj264.graphObject_.pendingConnections.append((self.obj264.graphObject_.tag, self.obj265.graphObject_.tag, [321.0, 44.0, 225.0, 74.5], 0, True))
   self.obj265.out_connections_.append(self.obj258)
   self.obj258.in_connections_.append(self.obj265)
   self.obj265.graphObject_.pendingConnections.append((self.obj265.graphObject_.tag, self.obj258.graphObject_.tag, [129.0, 105.0, 225.0, 74.5], 0, True))
   self.obj260.out_connections_.append(self.obj259)
   self.obj259.in_connections_.append(self.obj260)
   self.obj260.graphObject_.pendingConnections.append((self.obj260.graphObject_.tag, self.obj259.graphObject_.tag, [221.0, 186.0, 175.0, 145.5], 0, True))

   cobj0.RHS = ASG_Traffic(self)

   self.obj262=T_Place(self)
   self.obj262.preAction( cobj0.RHS.CREATE )
   self.obj262.isGraphObjectVisual = True

   if(hasattr(self.obj262, '_setHierarchicalLink')):
     self.obj262._setHierarchicalLink(False)

   self.obj262.GGLabel.setValue(2)
   self.obj262.graphClass_= graph_T_Place
   if self.genGraphics:
      new_obj = graph_T_Place(220.0,180.0,self.obj262)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj262.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj262)
   self.obj262.postAction( cobj0.RHS.CREATE )

   self.obj261=T_RoadSegment(self)
   self.obj261.preAction( cobj0.RHS.CREATE )
   self.obj261.isGraphObjectVisual = True

   if(hasattr(self.obj261, '_setHierarchicalLink')):
     self.obj261._setHierarchicalLink(False)

   self.obj261.GGLabel.setValue(1)
   self.obj261.graphClass_= graph_T_RoadSegment
   if self.genGraphics:
      new_obj = graph_T_RoadSegment(100.0,60.0,self.obj261)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj261.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj261)
   self.obj261.postAction( cobj0.RHS.CREATE )

   self.obj266=T_Car(self)
   self.obj266.preAction( cobj0.RHS.CREATE )
   self.obj266.isGraphObjectVisual = True

   if(hasattr(self.obj266, '_setHierarchicalLink')):
     self.obj266._setHierarchicalLink(False)

   self.obj266.GGLabel.setValue(4)
   self.obj266.graphClass_= graph_T_Car
   if self.genGraphics:
      new_obj = graph_T_Car(300.0,40.0,self.obj266)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj266.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj266)
   self.obj266.postAction( cobj0.RHS.CREATE )

   self.obj267=T_DrivesOn(self)
   self.obj267.preAction( cobj0.RHS.CREATE )
   self.obj267.isGraphObjectVisual = True

   if(hasattr(self.obj267, '_setHierarchicalLink')):
     self.obj267._setHierarchicalLink(False)

   self.obj267.GGLabel.setValue(5)
   self.obj267.graphClass_= graph_T_DrivesOn
   if self.genGraphics:
      new_obj = graph_T_DrivesOn(285.0,134.5,self.obj267)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj267.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj267)
   self.obj267.postAction( cobj0.RHS.CREATE )

   self.obj263=T_Next(self)
   self.obj263.preAction( cobj0.RHS.CREATE )
   self.obj263.isGraphObjectVisual = True

   if(hasattr(self.obj263, '_setHierarchicalLink')):
     self.obj263._setHierarchicalLink(False)

   self.obj263.GGLabel.setValue(3)
   self.obj263.graphClass_= graph_T_Next
   if self.genGraphics:
      new_obj = graph_T_Next(197.0,132.5,self.obj263)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj263.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj263)
   self.obj263.postAction( cobj0.RHS.CREATE )

   self.obj261.out_connections_.append(self.obj263)
   self.obj263.in_connections_.append(self.obj261)
   self.obj261.graphObject_.pendingConnections.append((self.obj261.graphObject_.tag, self.obj263.graphObject_.tag, [149.0, 85.0, 197.0, 132.5], 0, True))
   self.obj266.out_connections_.append(self.obj267)
   self.obj267.in_connections_.append(self.obj266)
   self.obj266.graphObject_.pendingConnections.append((self.obj266.graphObject_.tag, self.obj267.graphObject_.tag, [325.0, 88.999999999999986, 285.0, 134.5], 0, True))
   self.obj267.out_connections_.append(self.obj262)
   self.obj262.in_connections_.append(self.obj267)
   self.obj267.graphObject_.pendingConnections.append((self.obj267.graphObject_.tag, self.obj262.graphObject_.tag, [245.00000000000006, 180.0, 285.0, 134.5], 0, True))
   self.obj263.out_connections_.append(self.obj262)
   self.obj262.in_connections_.append(self.obj263)
   self.obj263.graphObject_.pendingConnections.append((self.obj263.graphObject_.tag, self.obj262.graphObject_.tag, [245.00000000000006, 180.0, 197.0, 132.5], 0, True))

   cobj0.Condition=ATOM3Constraint()
   cobj0.Condition.setValue(('condition', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), 'return 1\n'))
   cobj0.Action=ATOM3Constraint()
   cobj0.Action.setValue(('action', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), None))
   lcobj0.append(cobj0)
   cobj0= GGruleEdit(None, self)
   cobj0.Name=ATOM3String('carOnJoin', 20)
   cobj0.Order=ATOM3Integer(2)
   cobj0.TimeDelay=ATOM3Integer(2)
   cobj0.SubtypesMatching=ATOM3Boolean()
   cobj0.SubtypesMatching.setValue((None, 1))
   cobj0.SubtypesMatching.config = 0

   from ASG_Traffic import *
   from T_ForkJoin import *
   from T_Car import *
   from T_RoadSegment import *
   from T_Next import *
   from T_DrivesOn import *
   from T_Split import *
   from T_Join import *
   from T_ForkSplit import *
   from T_Place import *

   cobj0.LHS = ASG_Traffic(self)

   self.obj413=T_Place(self)
   self.obj413.preAction( cobj0.LHS.CREATE )
   self.obj413.isGraphObjectVisual = True

   if(hasattr(self.obj413, '_setHierarchicalLink')):
     self.obj413._setHierarchicalLink(False)

   self.obj413.GGLabel.setValue(2)
   self.obj413.graphClass_= graph_T_Place
   if self.genGraphics:
      new_obj = graph_T_Place(220.0,140.0,self.obj413)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj413.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj413)
   self.obj413.postAction( cobj0.LHS.CREATE )

   self.obj415=T_Car(self)
   self.obj415.preAction( cobj0.LHS.CREATE )
   self.obj415.isGraphObjectVisual = True

   if(hasattr(self.obj415, '_setHierarchicalLink')):
     self.obj415._setHierarchicalLink(False)

   self.obj415.GGLabel.setValue(4)
   self.obj415.graphClass_= graph_T_Car
   if self.genGraphics:
      new_obj = graph_T_Car(280.0,40.0,self.obj415)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj415.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj415)
   self.obj415.postAction( cobj0.LHS.CREATE )

   self.obj412=T_ForkJoin(self)
   self.obj412.preAction( cobj0.LHS.CREATE )
   self.obj412.isGraphObjectVisual = True

   if(hasattr(self.obj412, '_setHierarchicalLink')):
     self.obj412._setHierarchicalLink(False)

   self.obj412.GGLabel.setValue(1)
   self.obj412.graphClass_= graph_T_ForkJoin
   if self.genGraphics:
      new_obj = graph_T_ForkJoin(80.0,80.0,self.obj412)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj412.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj412)
   self.obj412.postAction( cobj0.LHS.CREATE )

   self.obj416=T_DrivesOn(self)
   self.obj416.preAction( cobj0.LHS.CREATE )
   self.obj416.isGraphObjectVisual = True

   if(hasattr(self.obj416, '_setHierarchicalLink')):
     self.obj416._setHierarchicalLink(False)

   self.obj416.GGLabel.setValue(5)
   self.obj416.graphClass_= graph_T_DrivesOn
   if self.genGraphics:
      new_obj = graph_T_DrivesOn(204.5,73.0,self.obj416)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj416.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj416)
   self.obj416.postAction( cobj0.LHS.CREATE )

   self.obj414=T_Next(self)
   self.obj414.preAction( cobj0.LHS.CREATE )
   self.obj414.isGraphObjectVisual = True

   if(hasattr(self.obj414, '_setHierarchicalLink')):
     self.obj414._setHierarchicalLink(False)

   self.obj414.GGLabel.setValue(3)
   self.obj414.graphClass_= graph_T_Next
   if self.genGraphics:
      new_obj = graph_T_Next(174.5,146.0,self.obj414)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj414.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj414)
   self.obj414.postAction( cobj0.LHS.CREATE )

   self.obj415.out_connections_.append(self.obj416)
   self.obj416.in_connections_.append(self.obj415)
   self.obj415.graphObject_.pendingConnections.append((self.obj415.graphObject_.tag, self.obj416.graphObject_.tag, [281.0, 63.999999999999993, 204.5, 73.0], 0, True))
   self.obj412.out_connections_.append(self.obj414)
   self.obj414.in_connections_.append(self.obj412)
   self.obj412.graphObject_.pendingConnections.append((self.obj412.graphObject_.tag, self.obj414.graphObject_.tag, [127.99999999999999, 125.99999999999999, 174.5, 146.0], 0, True))
   self.obj416.out_connections_.append(self.obj412)
   self.obj412.in_connections_.append(self.obj416)
   self.obj416.graphObject_.pendingConnections.append((self.obj416.graphObject_.tag, self.obj412.graphObject_.tag, [127.99999999999999, 81.999999999999986, 204.5, 73.0], 0, True))
   self.obj414.out_connections_.append(self.obj413)
   self.obj413.in_connections_.append(self.obj414)
   self.obj414.graphObject_.pendingConnections.append((self.obj414.graphObject_.tag, self.obj413.graphObject_.tag, [221.0, 166.0, 174.5, 146.0], 0, True))

   cobj0.RHS = ASG_Traffic(self)

   self.obj418=T_Place(self)
   self.obj418.preAction( cobj0.RHS.CREATE )
   self.obj418.isGraphObjectVisual = True

   if(hasattr(self.obj418, '_setHierarchicalLink')):
     self.obj418._setHierarchicalLink(False)

   self.obj418.GGLabel.setValue(2)
   self.obj418.graphClass_= graph_T_Place
   if self.genGraphics:
      new_obj = graph_T_Place(220.0,200.0,self.obj418)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj418.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj418)
   self.obj418.postAction( cobj0.RHS.CREATE )

   self.obj420=T_Car(self)
   self.obj420.preAction( cobj0.RHS.CREATE )
   self.obj420.isGraphObjectVisual = True

   if(hasattr(self.obj420, '_setHierarchicalLink')):
     self.obj420._setHierarchicalLink(False)

   self.obj420.GGLabel.setValue(4)
   self.obj420.graphClass_= graph_T_Car
   if self.genGraphics:
      new_obj = graph_T_Car(260.0,40.0,self.obj420)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj420.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj420)
   self.obj420.postAction( cobj0.RHS.CREATE )

   self.obj417=T_ForkJoin(self)
   self.obj417.preAction( cobj0.RHS.CREATE )
   self.obj417.isGraphObjectVisual = True

   if(hasattr(self.obj417, '_setHierarchicalLink')):
     self.obj417._setHierarchicalLink(False)

   self.obj417.GGLabel.setValue(1)
   self.obj417.graphClass_= graph_T_ForkJoin
   if self.genGraphics:
      new_obj = graph_T_ForkJoin(60.0,80.0,self.obj417)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj417.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj417)
   self.obj417.postAction( cobj0.RHS.CREATE )

   self.obj421=T_DrivesOn(self)
   self.obj421.preAction( cobj0.RHS.CREATE )
   self.obj421.isGraphObjectVisual = True

   if(hasattr(self.obj421, '_setHierarchicalLink')):
     self.obj421._setHierarchicalLink(False)

   self.obj421.GGLabel.setValue(5)
   self.obj421.graphClass_= graph_T_DrivesOn
   if self.genGraphics:
      new_obj = graph_T_DrivesOn(265.0,144.5,self.obj421)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj421.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj421)
   self.obj421.postAction( cobj0.RHS.CREATE )

   self.obj419=T_Next(self)
   self.obj419.preAction( cobj0.RHS.CREATE )
   self.obj419.isGraphObjectVisual = True

   if(hasattr(self.obj419, '_setHierarchicalLink')):
     self.obj419._setHierarchicalLink(False)

   self.obj419.GGLabel.setValue(3)
   self.obj419.graphClass_= graph_T_Next
   if self.genGraphics:
      new_obj = graph_T_Next(164.5,176.0,self.obj419)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj419.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj419)
   self.obj419.postAction( cobj0.RHS.CREATE )

   self.obj420.out_connections_.append(self.obj421)
   self.obj421.in_connections_.append(self.obj420)
   self.obj420.graphObject_.pendingConnections.append((self.obj420.graphObject_.tag, self.obj421.graphObject_.tag, [285.0, 89.0, 265.0, 144.5], 0, True))
   self.obj417.out_connections_.append(self.obj419)
   self.obj419.in_connections_.append(self.obj417)
   self.obj417.graphObject_.pendingConnections.append((self.obj417.graphObject_.tag, self.obj419.graphObject_.tag, [108.0, 125.99999999999999, 164.5, 176.0], 0, True))
   self.obj421.out_connections_.append(self.obj418)
   self.obj418.in_connections_.append(self.obj421)
   self.obj421.graphObject_.pendingConnections.append((self.obj421.graphObject_.tag, self.obj418.graphObject_.tag, [244.99999999999994, 200.0, 265.0, 144.5], 0, True))
   self.obj419.out_connections_.append(self.obj418)
   self.obj418.in_connections_.append(self.obj419)
   self.obj419.graphObject_.pendingConnections.append((self.obj419.graphObject_.tag, self.obj418.graphObject_.tag, [221.0, 226.0, 164.5, 176.0], 0, True))

   cobj0.Condition=ATOM3Constraint()
   cobj0.Condition.setValue(('condition', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), 'return 1\n'))
   cobj0.Action=ATOM3Constraint()
   cobj0.Action.setValue(('action', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), None))
   lcobj0.append(cobj0)
   self.EditingGraphGrammar.Rules.setValue(lcobj0)
   self.EditingGraphGrammar.InitialAction=ATOM3Constraint()
   self.EditingGraphGrammar.InitialAction.setValue(('constraint', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), None))
   self.EditingGraphGrammar.FinalAction=ATOM3Constraint()
   self.EditingGraphGrammar.FinalAction.setValue(('const', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), None))


