from GraphGrammarEdit import *
from GGruleEdit import *

def savedTrans(self):
   self.EditingGraphGrammar= GraphGrammarEdit(None, self)
   self.EditingGraphGrammar.Name=ATOM3String('Traffic', 20)
   self.EditingGraphGrammar.Rules=ATOM3List([ 1, 1, 1, 0],GGruleEdit,None, self)
   lcobj0=[]
   cobj0= GGruleEdit(None, self)
   cobj0.Name=ATOM3String('roadToPlace', 20)
   cobj0.Order=ATOM3Integer(1)
   cobj0.TimeDelay=ATOM3Integer(2)
   cobj0.SubtypesMatching=ATOM3Boolean()
   cobj0.SubtypesMatching.setValue((None, 1))
   cobj0.SubtypesMatching.config = 0

   from ASG_Traffic import *
   from TRoadSegment import *
   from TCar import *
   from TNext import *
   from TDrivesOn import *
   from TSplit import *
   from TPlace import *
   from TFork import *

   cobj0.LHS = ASG_Traffic(self)

   self.obj80=TPlace(self)
   self.obj80.preAction( cobj0.LHS.CREATE )
   self.obj80.isGraphObjectVisual = True

   if(hasattr(self.obj80, '_setHierarchicalLink')):
     self.obj80._setHierarchicalLink(False)

   self.obj80.GGLabel.setValue(2)
   self.obj80.graphClass_= graph_TPlace
   if self.genGraphics:
      new_obj = graph_TPlace(220.0,240.0,self.obj80)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj80.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj80)
   self.obj80.postAction( cobj0.LHS.CREATE )

   self.obj81=TRoadSegment(self)
   self.obj81.preAction( cobj0.LHS.CREATE )
   self.obj81.isGraphObjectVisual = True

   if(hasattr(self.obj81, '_setHierarchicalLink')):
     self.obj81._setHierarchicalLink(False)

   self.obj81.GGLabel.setValue(1)
   self.obj81.graphClass_= graph_TRoadSegment
   if self.genGraphics:
      new_obj = graph_TRoadSegment(60.0,120.0,self.obj81)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj81.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj81)
   self.obj81.postAction( cobj0.LHS.CREATE )

   self.obj82=TCar(self)
   self.obj82.preAction( cobj0.LHS.CREATE )
   self.obj82.isGraphObjectVisual = True

   if(hasattr(self.obj82, '_setHierarchicalLink')):
     self.obj82._setHierarchicalLink(False)

   self.obj82.GGLabel.setValue(4)
   self.obj82.graphClass_= graph_TCar
   if self.genGraphics:
      new_obj = graph_TCar(240.0,80.0,self.obj82)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj82.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj82)
   self.obj82.postAction( cobj0.LHS.CREATE )

   self.obj83=TDrivesOn(self)
   self.obj83.preAction( cobj0.LHS.CREATE )
   self.obj83.isGraphObjectVisual = True

   if(hasattr(self.obj83, '_setHierarchicalLink')):
     self.obj83._setHierarchicalLink(False)

   self.obj83.GGLabel.setValue(5)
   self.obj83.graphClass_= graph_TDrivesOn
   if self.genGraphics:
      new_obj = graph_TDrivesOn(176.0,124.5,self.obj83)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj83.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj83)
   self.obj83.postAction( cobj0.LHS.CREATE )

   self.obj84=TNext(self)
   self.obj84.preAction( cobj0.LHS.CREATE )
   self.obj84.isGraphObjectVisual = True

   if(hasattr(self.obj84, '_setHierarchicalLink')):
     self.obj84._setHierarchicalLink(False)

   self.obj84.GGLabel.setValue(3)
   self.obj84.graphClass_= graph_TNext
   if self.genGraphics:
      new_obj = graph_TNext(154.0,217.0,self.obj84)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj84.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj84)
   self.obj84.postAction( cobj0.LHS.CREATE )

   self.obj81.out_connections_.append(self.obj84)
   self.obj84.in_connections_.append(self.obj81)
   self.obj81.graphObject_.pendingConnections.append((self.obj81.graphObject_.tag, self.obj84.graphObject_.tag, [86.0, 170.0, 154.0, 217.0], 0, True))
   self.obj82.out_connections_.append(self.obj83)
   self.obj83.in_connections_.append(self.obj82)
   self.obj82.graphObject_.pendingConnections.append((self.obj82.graphObject_.tag, self.obj83.graphObject_.tag, [241.99999999999997, 105.0, 176.0, 124.5], 0, True))
   self.obj83.out_connections_.append(self.obj81)
   self.obj81.in_connections_.append(self.obj83)
   self.obj83.graphObject_.pendingConnections.append((self.obj83.graphObject_.tag, self.obj81.graphObject_.tag, [110.0, 144.0, 176.0, 124.5], 0, True))
   self.obj84.out_connections_.append(self.obj80)
   self.obj80.in_connections_.append(self.obj84)
   self.obj84.graphObject_.pendingConnections.append((self.obj84.graphObject_.tag, self.obj80.graphObject_.tag, [222.0, 264.0, 154.0, 217.0], 0, True))

   cobj0.RHS = ASG_Traffic(self)

   self.obj86=TPlace(self)
   self.obj86.preAction( cobj0.RHS.CREATE )
   self.obj86.isGraphObjectVisual = True

   if(hasattr(self.obj86, '_setHierarchicalLink')):
     self.obj86._setHierarchicalLink(False)

   self.obj86.GGLabel.setValue(2)
   self.obj86.graphClass_= graph_TPlace
   if self.genGraphics:
      new_obj = graph_TPlace(220.0,240.0,self.obj86)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj86.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj86)
   self.obj86.postAction( cobj0.RHS.CREATE )

   self.obj87=TRoadSegment(self)
   self.obj87.preAction( cobj0.RHS.CREATE )
   self.obj87.isGraphObjectVisual = True

   if(hasattr(self.obj87, '_setHierarchicalLink')):
     self.obj87._setHierarchicalLink(False)

   self.obj87.GGLabel.setValue(1)
   self.obj87.graphClass_= graph_TRoadSegment
   if self.genGraphics:
      new_obj = graph_TRoadSegment(60.0,120.0,self.obj87)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj87.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj87)
   self.obj87.postAction( cobj0.RHS.CREATE )

   self.obj88=TCar(self)
   self.obj88.preAction( cobj0.RHS.CREATE )
   self.obj88.isGraphObjectVisual = True

   if(hasattr(self.obj88, '_setHierarchicalLink')):
     self.obj88._setHierarchicalLink(False)

   self.obj88.GGLabel.setValue(4)
   self.obj88.graphClass_= graph_TCar
   if self.genGraphics:
      new_obj = graph_TCar(240.0,80.0,self.obj88)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj88.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj88)
   self.obj88.postAction( cobj0.RHS.CREATE )

   self.obj89=TDrivesOn(self)
   self.obj89.preAction( cobj0.RHS.CREATE )
   self.obj89.isGraphObjectVisual = True

   if(hasattr(self.obj89, '_setHierarchicalLink')):
     self.obj89._setHierarchicalLink(False)

   self.obj89.GGLabel.setValue(6)
   self.obj89.graphClass_= graph_TDrivesOn
   if self.genGraphics:
      new_obj = graph_TDrivesOn(254.0,185.0,self.obj89)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj89.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj89)
   self.obj89.postAction( cobj0.RHS.CREATE )

   self.obj90=TNext(self)
   self.obj90.preAction( cobj0.RHS.CREATE )
   self.obj90.isGraphObjectVisual = True

   if(hasattr(self.obj90, '_setHierarchicalLink')):
     self.obj90._setHierarchicalLink(False)

   self.obj90.GGLabel.setValue(3)
   self.obj90.graphClass_= graph_TNext
   if self.genGraphics:
      new_obj = graph_TNext(154.0,217.0,self.obj90)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj90.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj90)
   self.obj90.postAction( cobj0.RHS.CREATE )

   self.obj87.out_connections_.append(self.obj90)
   self.obj90.in_connections_.append(self.obj87)
   self.obj87.graphObject_.pendingConnections.append((self.obj87.graphObject_.tag, self.obj90.graphObject_.tag, [86.0, 170.0, 154.0, 217.0], 2, 0))
   self.obj88.out_connections_.append(self.obj89)
   self.obj89.in_connections_.append(self.obj88)
   self.obj88.graphObject_.pendingConnections.append((self.obj88.graphObject_.tag, self.obj89.graphObject_.tag, [264.0, 129.0, 254.0, 185.0], 0, True))
   self.obj89.out_connections_.append(self.obj86)
   self.obj86.in_connections_.append(self.obj89)
   self.obj89.graphObject_.pendingConnections.append((self.obj89.graphObject_.tag, self.obj86.graphObject_.tag, [244.0, 241.0, 254.0, 185.0], 0, True))
   self.obj90.out_connections_.append(self.obj86)
   self.obj86.in_connections_.append(self.obj90)
   self.obj90.graphObject_.pendingConnections.append((self.obj90.graphObject_.tag, self.obj86.graphObject_.tag, [222.0, 264.0, 154.0, 217.0], 2, 0))

   cobj0.Condition=ATOM3Constraint()
   cobj0.Condition.setValue(('condition', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), 'return 1\n'))
   cobj0.Action=ATOM3Constraint()
   cobj0.Action.setValue(('action', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), None))
   lcobj0.append(cobj0)
   cobj0= GGruleEdit(None, self)
   cobj0.Name=ATOM3String('forkToPlace', 20)
   cobj0.Order=ATOM3Integer(2)
   cobj0.TimeDelay=ATOM3Integer(2)
   cobj0.SubtypesMatching=ATOM3Boolean()
   cobj0.SubtypesMatching.setValue((None, 1))
   cobj0.SubtypesMatching.config = 0

   from ASG_Traffic import *
   from TRoadSegment import *
   from TCar import *
   from TNext import *
   from TDrivesOn import *
   from TSplit import *
   from TPlace import *
   from TFork import *

   cobj0.LHS = ASG_Traffic(self)

   self.obj95=TPlace(self)
   self.obj95.preAction( cobj0.LHS.CREATE )
   self.obj95.isGraphObjectVisual = True

   if(hasattr(self.obj95, '_setHierarchicalLink')):
     self.obj95._setHierarchicalLink(False)

   self.obj95.GGLabel.setValue(2)
   self.obj95.graphClass_= graph_TPlace
   if self.genGraphics:
      new_obj = graph_TPlace(220.0,180.0,self.obj95)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj95.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj95)
   self.obj95.postAction( cobj0.LHS.CREATE )

   self.obj96=TFork(self)
   self.obj96.preAction( cobj0.LHS.CREATE )
   self.obj96.isGraphObjectVisual = True

   if(hasattr(self.obj96, '_setHierarchicalLink')):
     self.obj96._setHierarchicalLink(False)

   self.obj96.GGLabel.setValue(1)
   self.obj96.graphClass_= graph_TFork
   if self.genGraphics:
      new_obj = graph_TFork(80.0,80.0,self.obj96)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj96.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj96)
   self.obj96.postAction( cobj0.LHS.CREATE )

   self.obj97=TCar(self)
   self.obj97.preAction( cobj0.LHS.CREATE )
   self.obj97.isGraphObjectVisual = True

   if(hasattr(self.obj97, '_setHierarchicalLink')):
     self.obj97._setHierarchicalLink(False)

   self.obj97.GGLabel.setValue(4)
   self.obj97.graphClass_= graph_TCar
   if self.genGraphics:
      new_obj = graph_TCar(280.0,60.0,self.obj97)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj97.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj97)
   self.obj97.postAction( cobj0.LHS.CREATE )

   self.obj98=TDrivesOn(self)
   self.obj98.preAction( cobj0.LHS.CREATE )
   self.obj98.isGraphObjectVisual = True

   if(hasattr(self.obj98, '_setHierarchicalLink')):
     self.obj98._setHierarchicalLink(False)

   self.obj98.GGLabel.setValue(5)
   self.obj98.graphClass_= graph_TDrivesOn
   if self.genGraphics:
      new_obj = graph_TDrivesOn(204.5,84.0,self.obj98)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj98.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj98)
   self.obj98.postAction( cobj0.LHS.CREATE )

   self.obj99=TSplit(self)
   self.obj99.preAction( cobj0.LHS.CREATE )
   self.obj99.isGraphObjectVisual = True

   if(hasattr(self.obj99, '_setHierarchicalLink')):
     self.obj99._setHierarchicalLink(False)

   self.obj99.GGLabel.setValue(3)
   self.obj99.graphClass_= graph_TSplit
   if self.genGraphics:
      new_obj = graph_TSplit(175.0,166.0,self.obj99)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj99.graphObject_ = new_obj

   # Add node to the root: cobj0.LHS
   cobj0.LHS.addNode(self.obj99)
   self.obj99.postAction( cobj0.LHS.CREATE )

   self.obj96.out_connections_.append(self.obj99)
   self.obj99.in_connections_.append(self.obj96)
   self.obj96.graphObject_.pendingConnections.append((self.obj96.graphObject_.tag, self.obj99.graphObject_.tag, [127.99999999999999, 127.99999999999999, 175.0, 166.0], 0, True))
   self.obj97.out_connections_.append(self.obj98)
   self.obj98.in_connections_.append(self.obj97)
   self.obj97.graphObject_.pendingConnections.append((self.obj97.graphObject_.tag, self.obj98.graphObject_.tag, [282.0, 85.0, 204.5, 84.0], 0, True))
   self.obj98.out_connections_.append(self.obj96)
   self.obj96.in_connections_.append(self.obj98)
   self.obj98.graphObject_.pendingConnections.append((self.obj98.graphObject_.tag, self.obj96.graphObject_.tag, [127.0, 83.0, 204.5, 84.0], 0, True))
   self.obj99.out_connections_.append(self.obj95)
   self.obj95.in_connections_.append(self.obj99)
   self.obj99.graphObject_.pendingConnections.append((self.obj99.graphObject_.tag, self.obj95.graphObject_.tag, [222.0, 203.99999999999997, 175.0, 166.0], 0, True))

   cobj0.RHS = ASG_Traffic(self)

   self.obj101=TPlace(self)
   self.obj101.preAction( cobj0.RHS.CREATE )
   self.obj101.isGraphObjectVisual = True

   if(hasattr(self.obj101, '_setHierarchicalLink')):
     self.obj101._setHierarchicalLink(False)

   self.obj101.GGLabel.setValue(2)
   self.obj101.graphClass_= graph_TPlace
   if self.genGraphics:
      new_obj = graph_TPlace(220.0,180.0,self.obj101)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj101.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj101)
   self.obj101.postAction( cobj0.RHS.CREATE )

   self.obj102=TFork(self)
   self.obj102.preAction( cobj0.RHS.CREATE )
   self.obj102.isGraphObjectVisual = True

   if(hasattr(self.obj102, '_setHierarchicalLink')):
     self.obj102._setHierarchicalLink(False)

   self.obj102.GGLabel.setValue(1)
   self.obj102.graphClass_= graph_TFork
   if self.genGraphics:
      new_obj = graph_TFork(80.0,80.0,self.obj102)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj102.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj102)
   self.obj102.postAction( cobj0.RHS.CREATE )

   self.obj103=TCar(self)
   self.obj103.preAction( cobj0.RHS.CREATE )
   self.obj103.isGraphObjectVisual = True

   if(hasattr(self.obj103, '_setHierarchicalLink')):
     self.obj103._setHierarchicalLink(False)

   self.obj103.GGLabel.setValue(4)
   self.obj103.graphClass_= graph_TCar
   if self.genGraphics:
      new_obj = graph_TCar(280.0,60.0,self.obj103)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
      new_obj.layConstraints['scale'] = [1.0, 1.0]
   else: new_obj = None
   self.obj103.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj103)
   self.obj103.postAction( cobj0.RHS.CREATE )

   self.obj104=TDrivesOn(self)
   self.obj104.preAction( cobj0.RHS.CREATE )
   self.obj104.isGraphObjectVisual = True

   if(hasattr(self.obj104, '_setHierarchicalLink')):
     self.obj104._setHierarchicalLink(False)

   self.obj104.GGLabel.setValue(6)
   self.obj104.graphClass_= graph_TDrivesOn
   if self.genGraphics:
      new_obj = graph_TDrivesOn(274.0,145.0,self.obj104)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj104.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj104)
   self.obj104.postAction( cobj0.RHS.CREATE )

   self.obj105=TSplit(self)
   self.obj105.preAction( cobj0.RHS.CREATE )
   self.obj105.isGraphObjectVisual = True

   if(hasattr(self.obj105, '_setHierarchicalLink')):
     self.obj105._setHierarchicalLink(False)

   self.obj105.GGLabel.setValue(3)
   self.obj105.graphClass_= graph_TSplit
   if self.genGraphics:
      new_obj = graph_TSplit(175.0,166.0,self.obj105)
      new_obj.layConstraints = dict() # Graphical Layout Constraints 
   else: new_obj = None
   self.obj105.graphObject_ = new_obj

   # Add node to the root: cobj0.RHS
   cobj0.RHS.addNode(self.obj105)
   self.obj105.postAction( cobj0.RHS.CREATE )

   self.obj102.out_connections_.append(self.obj105)
   self.obj105.in_connections_.append(self.obj102)
   self.obj102.graphObject_.pendingConnections.append((self.obj102.graphObject_.tag, self.obj105.graphObject_.tag, [127.99999999999999, 127.99999999999999, 175.0, 166.0], 2, 0))
   self.obj103.out_connections_.append(self.obj104)
   self.obj104.in_connections_.append(self.obj103)
   self.obj103.graphObject_.pendingConnections.append((self.obj103.graphObject_.tag, self.obj104.graphObject_.tag, [304.0, 109.0, 274.0, 145.0], 0, True))
   self.obj104.out_connections_.append(self.obj101)
   self.obj101.in_connections_.append(self.obj104)
   self.obj104.graphObject_.pendingConnections.append((self.obj104.graphObject_.tag, self.obj101.graphObject_.tag, [244.0, 181.0, 274.0, 145.0], 0, True))
   self.obj105.out_connections_.append(self.obj101)
   self.obj101.in_connections_.append(self.obj105)
   self.obj105.graphObject_.pendingConnections.append((self.obj105.graphObject_.tag, self.obj101.graphObject_.tag, [222.0, 203.99999999999997, 175.0, 166.0], 2, 0))

   cobj0.Condition=ATOM3Constraint()
   cobj0.Condition.setValue(('condition', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), 'return 1\n'))
   cobj0.Action=ATOM3Constraint()
   cobj0.Action.setValue(('action', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), None))
   lcobj0.append(cobj0)
   self.EditingGraphGrammar.Rules.setValue(lcobj0)
   self.EditingGraphGrammar.InitialAction=ATOM3Constraint()
   self.EditingGraphGrammar.InitialAction.setValue(('constraint', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), None))
   self.EditingGraphGrammar.FinalAction=ATOM3Constraint()
   self.EditingGraphGrammar.FinalAction.setValue(('const', (['Python', 'OCL'], 0), (['PREcondition', 'POSTcondition'], 1), (['EDIT', 'SAVE', 'CREATE', 'CONNECT', 'DELETE', 'DISCONNECT', 'TRANSFORM', 'SELECT', 'DRAG', 'DROP', 'MOVE'], [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]), None))


