# _ carOnJoin_GG_rule.py ____________________________________________________________________________
# File generated automatically by ATOM3. Graph Grammar Rule
# ___________________________________________________________________________________________
from GGrule import *
from ASG_Traffic import *
from T_ForkJoin import *
from T_Car import *
from T_RoadSegment import *
from T_Next import *
from T_DrivesOn import *
from T_Split import *
from T_Join import *
from T_ForkSplit import *
from T_Place import *
class carOnJoin_GG_rule (GGrule):

   def __init__(self, parent):
      GGrule.__init__(self, 2)
      self.TimeDelay = ATOM3Integer(2)
      self.exactMatch = 0
      self.LHS = ASG_Traffic(parent)

      self.obj413=T_Place(parent)
      self.obj413.preAction( self.LHS.CREATE )
      self.obj413.isGraphObjectVisual = True

      if(hasattr(self.obj413, '_setHierarchicalLink')):
        self.obj413._setHierarchicalLink(False)

      self.obj413.GGLabel.setValue(2)
      self.obj413.graphClass_= graph_T_Place
      if parent.genGraphics:
         new_obj = graph_T_Place(220.0,140.0,self.obj413)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj413.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj413)
      self.obj413.postAction( self.LHS.CREATE )

      self.obj415=T_Car(parent)
      self.obj415.preAction( self.LHS.CREATE )
      self.obj415.isGraphObjectVisual = True

      if(hasattr(self.obj415, '_setHierarchicalLink')):
        self.obj415._setHierarchicalLink(False)

      self.obj415.GGLabel.setValue(4)
      self.obj415.graphClass_= graph_T_Car
      if parent.genGraphics:
         new_obj = graph_T_Car(280.0,40.0,self.obj415)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj415.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj415)
      self.obj415.postAction( self.LHS.CREATE )

      self.obj412=T_ForkJoin(parent)
      self.obj412.preAction( self.LHS.CREATE )
      self.obj412.isGraphObjectVisual = True

      if(hasattr(self.obj412, '_setHierarchicalLink')):
        self.obj412._setHierarchicalLink(False)

      self.obj412.GGLabel.setValue(1)
      self.obj412.graphClass_= graph_T_ForkJoin
      if parent.genGraphics:
         new_obj = graph_T_ForkJoin(80.0,80.0,self.obj412)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj412.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj412)
      self.obj412.postAction( self.LHS.CREATE )

      self.obj416=T_DrivesOn(parent)
      self.obj416.preAction( self.LHS.CREATE )
      self.obj416.isGraphObjectVisual = True

      if(hasattr(self.obj416, '_setHierarchicalLink')):
        self.obj416._setHierarchicalLink(False)

      self.obj416.GGLabel.setValue(5)
      self.obj416.graphClass_= graph_T_DrivesOn
      if parent.genGraphics:
         new_obj = graph_T_DrivesOn(204.5,73.0,self.obj416)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj416.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj416)
      self.obj416.postAction( self.LHS.CREATE )

      self.obj414=T_Next(parent)
      self.obj414.preAction( self.LHS.CREATE )
      self.obj414.isGraphObjectVisual = True

      if(hasattr(self.obj414, '_setHierarchicalLink')):
        self.obj414._setHierarchicalLink(False)

      self.obj414.GGLabel.setValue(3)
      self.obj414.graphClass_= graph_T_Next
      if parent.genGraphics:
         new_obj = graph_T_Next(174.5,146.0,self.obj414)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj414.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj414)
      self.obj414.postAction( self.LHS.CREATE )

      self.obj415.out_connections_.append(self.obj416)
      self.obj416.in_connections_.append(self.obj415)
      self.obj415.graphObject_.pendingConnections.append((self.obj415.graphObject_.tag, self.obj416.graphObject_.tag, [281.0, 63.999999999999993, 204.5, 73.0], 0, True))
      self.obj412.out_connections_.append(self.obj414)
      self.obj414.in_connections_.append(self.obj412)
      self.obj412.graphObject_.pendingConnections.append((self.obj412.graphObject_.tag, self.obj414.graphObject_.tag, [127.99999999999999, 125.99999999999999, 174.5, 146.0], 0, True))
      self.obj416.out_connections_.append(self.obj412)
      self.obj412.in_connections_.append(self.obj416)
      self.obj416.graphObject_.pendingConnections.append((self.obj416.graphObject_.tag, self.obj412.graphObject_.tag, [127.99999999999999, 81.999999999999986, 204.5, 73.0], 0, True))
      self.obj414.out_connections_.append(self.obj413)
      self.obj413.in_connections_.append(self.obj414)
      self.obj414.graphObject_.pendingConnections.append((self.obj414.graphObject_.tag, self.obj413.graphObject_.tag, [221.0, 166.0, 174.5, 146.0], 0, True))

      self.RHS = ASG_Traffic(parent)

      self.obj418=T_Place(parent)
      self.obj418.preAction( self.RHS.CREATE )
      self.obj418.isGraphObjectVisual = True

      if(hasattr(self.obj418, '_setHierarchicalLink')):
        self.obj418._setHierarchicalLink(False)

      self.obj418.GGLabel.setValue(2)
      self.obj418.graphClass_= graph_T_Place
      if parent.genGraphics:
         new_obj = graph_T_Place(220.0,200.0,self.obj418)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj418.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj418)
      self.obj418.postAction( self.RHS.CREATE )

      self.obj420=T_Car(parent)
      self.obj420.preAction( self.RHS.CREATE )
      self.obj420.isGraphObjectVisual = True

      if(hasattr(self.obj420, '_setHierarchicalLink')):
        self.obj420._setHierarchicalLink(False)

      self.obj420.GGLabel.setValue(4)
      self.obj420.graphClass_= graph_T_Car
      if parent.genGraphics:
         new_obj = graph_T_Car(260.0,40.0,self.obj420)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj420.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj420)
      self.obj420.postAction( self.RHS.CREATE )

      self.obj417=T_ForkJoin(parent)
      self.obj417.preAction( self.RHS.CREATE )
      self.obj417.isGraphObjectVisual = True

      if(hasattr(self.obj417, '_setHierarchicalLink')):
        self.obj417._setHierarchicalLink(False)

      self.obj417.GGLabel.setValue(1)
      self.obj417.graphClass_= graph_T_ForkJoin
      if parent.genGraphics:
         new_obj = graph_T_ForkJoin(60.0,80.0,self.obj417)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj417.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj417)
      self.obj417.postAction( self.RHS.CREATE )

      self.obj421=T_DrivesOn(parent)
      self.obj421.preAction( self.RHS.CREATE )
      self.obj421.isGraphObjectVisual = True

      if(hasattr(self.obj421, '_setHierarchicalLink')):
        self.obj421._setHierarchicalLink(False)

      self.obj421.GGLabel.setValue(5)
      self.obj421.graphClass_= graph_T_DrivesOn
      if parent.genGraphics:
         new_obj = graph_T_DrivesOn(265.0,144.5,self.obj421)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj421.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj421)
      self.obj421.postAction( self.RHS.CREATE )

      self.obj419=T_Next(parent)
      self.obj419.preAction( self.RHS.CREATE )
      self.obj419.isGraphObjectVisual = True

      if(hasattr(self.obj419, '_setHierarchicalLink')):
        self.obj419._setHierarchicalLink(False)

      self.obj419.GGLabel.setValue(3)
      self.obj419.graphClass_= graph_T_Next
      if parent.genGraphics:
         new_obj = graph_T_Next(164.5,176.0,self.obj419)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj419.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj419)
      self.obj419.postAction( self.RHS.CREATE )

      self.obj420.out_connections_.append(self.obj421)
      self.obj421.in_connections_.append(self.obj420)
      self.obj420.graphObject_.pendingConnections.append((self.obj420.graphObject_.tag, self.obj421.graphObject_.tag, [285.0, 89.0, 265.0, 144.5], 0, True))
      self.obj417.out_connections_.append(self.obj419)
      self.obj419.in_connections_.append(self.obj417)
      self.obj417.graphObject_.pendingConnections.append((self.obj417.graphObject_.tag, self.obj419.graphObject_.tag, [108.0, 125.99999999999999, 164.5, 176.0], 0, True))
      self.obj421.out_connections_.append(self.obj418)
      self.obj418.in_connections_.append(self.obj421)
      self.obj421.graphObject_.pendingConnections.append((self.obj421.graphObject_.tag, self.obj418.graphObject_.tag, [244.99999999999994, 200.0, 265.0, 144.5], 0, True))
      self.obj419.out_connections_.append(self.obj418)
      self.obj418.in_connections_.append(self.obj419)
      self.obj419.graphObject_.pendingConnections.append((self.obj419.graphObject_.tag, self.obj418.graphObject_.tag, [221.0, 226.0, 164.5, 176.0], 0, True))

   def condition(self, graphID, isograph, atom3i):
      return 1
      

   def action(self, graphID, isograph, atom3i):
      pass

