"""
TrafficModel

Author: Dieter De Hen
"""

from ContainerFunctionality import *

class TrafficModel(object):
  
  def __init__(self):
    self.__model = ModelContainer()
    
    # Nodes
    
    self.__obj34 = ModelNode({'type':'T_ForkJoin'})
    self.__model.get_nodes().append(self.__obj34)
    
    self.__obj33 = ModelNode({'type':'T_Car'})
    self.__model.get_nodes().append(self.__obj33)
    
    self.__obj27 = ModelNode({'type':'T_RoadSegment'})
    self.__model.get_nodes().append(self.__obj27)
    
    self.__obj28 = ModelNode({'type':'T_RoadSegment'})
    self.__model.get_nodes().append(self.__obj28)
    
    self.__obj29 = ModelNode({'type':'T_RoadSegment'})
    self.__model.get_nodes().append(self.__obj29)
    
    self.__obj30 = ModelNode({'type':'T_RoadSegment'})
    self.__model.get_nodes().append(self.__obj30)
    
    self.__obj31 = ModelNode({'type':'T_RoadSegment'})
    self.__model.get_nodes().append(self.__obj31)
    
    self.__obj32 = ModelNode({'type':'T_RoadSegment'})
    self.__model.get_nodes().append(self.__obj32)
    
    self.__obj38 = ModelNode({'type':'T_Next'})
    self.__model.get_nodes().append(self.__obj38)
    
    self.__obj39 = ModelNode({'type':'T_Next'})
    self.__model.get_nodes().append(self.__obj39)
    
    self.__obj40 = ModelNode({'type':'T_Next'})
    self.__model.get_nodes().append(self.__obj40)
    
    self.__obj41 = ModelNode({'type':'T_Next'})
    self.__model.get_nodes().append(self.__obj41)
    
    self.__obj42 = ModelNode({'type':'T_Next'})
    self.__model.get_nodes().append(self.__obj42)
    
    self.__obj43 = ModelNode({'type':'T_Next'})
    self.__model.get_nodes().append(self.__obj43)
    
    self.__obj44 = ModelNode({'type':'T_Next'})
    self.__model.get_nodes().append(self.__obj44)
    
    self.__obj35 = ModelNode({'type':'T_DrivesOn'})
    self.__model.get_nodes().append(self.__obj35)
    
    self.__obj36 = ModelNode({'type':'T_Split'})
    self.__model.get_nodes().append(self.__obj36)
    
    self.__obj37 = ModelNode({'type':'T_Join'})
    self.__model.get_nodes().append(self.__obj37)
    
    self.__obj26 = ModelNode({'type':'T_ForkSplit'})
    self.__model.get_nodes().append(self.__obj26)
    
    # Node connections
    
    self.__obj34.get_inConnections().append(self.__obj37)
    self.__obj34.get_inConnections().append(self.__obj42)
    self.__obj34.get_outConnections().append(self.__obj43)
    
    self.__obj33.get_outConnections().append(self.__obj35)
    
    self.__obj27.get_inConnections().append(self.__obj44)
    self.__obj27.get_outConnections().append(self.__obj38)
    
    self.__obj28.get_inConnections().append(self.__obj35)
    self.__obj28.get_inConnections().append(self.__obj38)
    self.__obj28.get_outConnections().append(self.__obj39)
    
    self.__obj29.get_inConnections().append(self.__obj39)
    self.__obj29.get_outConnections().append(self.__obj40)
    
    self.__obj30.get_inConnections().append(self.__obj36)
    self.__obj30.get_outConnections().append(self.__obj37)
    
    self.__obj31.get_inConnections().append(self.__obj41)
    self.__obj31.get_outConnections().append(self.__obj42)
    
    self.__obj32.get_inConnections().append(self.__obj43)
    self.__obj32.get_outConnections().append(self.__obj44)
    
    self.__obj38.get_inConnections().append(self.__obj27)
    self.__obj38.get_outConnections().append(self.__obj28)
    
    self.__obj39.get_inConnections().append(self.__obj28)
    self.__obj39.get_outConnections().append(self.__obj29)
    
    self.__obj40.get_inConnections().append(self.__obj29)
    self.__obj40.get_outConnections().append(self.__obj26)
    
    self.__obj41.get_inConnections().append(self.__obj26)
    self.__obj41.get_outConnections().append(self.__obj31)
    
    self.__obj42.get_inConnections().append(self.__obj31)
    self.__obj42.get_outConnections().append(self.__obj34)
    
    self.__obj43.get_inConnections().append(self.__obj34)
    self.__obj43.get_outConnections().append(self.__obj32)
    
    self.__obj44.get_inConnections().append(self.__obj32)
    self.__obj44.get_outConnections().append(self.__obj27)
    
    self.__obj35.get_inConnections().append(self.__obj33)
    self.__obj35.get_outConnections().append(self.__obj28)
    
    self.__obj36.get_inConnections().append(self.__obj26)
    self.__obj36.get_outConnections().append(self.__obj30)
    
    self.__obj37.get_inConnections().append(self.__obj30)
    self.__obj37.get_outConnections().append(self.__obj34)
    
    self.__obj26.get_inConnections().append(self.__obj40)
    self.__obj26.get_outConnections().append(self.__obj36)
    self.__obj26.get_outConnections().append(self.__obj41)
    
  def get_model(self):
    return self.__model
  
  #__model = property(get_model)
