# _ carOnRoadSegment_GG_rule.py ____________________________________________________________________________
# File generated automatically by ATOM3. Graph Grammar Rule
# ___________________________________________________________________________________________
from GGrule import *
from ASG_Traffic import *
from T_ForkJoin import *
from T_Car import *
from T_RoadSegment import *
from T_Next import *
from T_DrivesOn import *
from T_Split import *
from T_Join import *
from T_ForkSplit import *
from T_Place import *
class carOnRoadSegment_GG_rule (GGrule):

   def __init__(self, parent):
      GGrule.__init__(self, 1)
      self.TimeDelay = ATOM3Integer(2)
      self.exactMatch = 0
      self.LHS = ASG_Traffic(parent)

      self.obj259=T_Place(parent)
      self.obj259.preAction( self.LHS.CREATE )
      self.obj259.isGraphObjectVisual = True

      if(hasattr(self.obj259, '_setHierarchicalLink')):
        self.obj259._setHierarchicalLink(False)

      self.obj259.GGLabel.setValue(2)
      self.obj259.graphClass_= graph_T_Place
      if parent.genGraphics:
         new_obj = graph_T_Place(220.0,160.0,self.obj259)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj259.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj259)
      self.obj259.postAction( self.LHS.CREATE )

      self.obj258=T_RoadSegment(parent)
      self.obj258.preAction( self.LHS.CREATE )
      self.obj258.isGraphObjectVisual = True

      if(hasattr(self.obj258, '_setHierarchicalLink')):
        self.obj258._setHierarchicalLink(False)

      self.obj258.GGLabel.setValue(1)
      self.obj258.graphClass_= graph_T_RoadSegment
      if parent.genGraphics:
         new_obj = graph_T_RoadSegment(80.0,80.0,self.obj258)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj258.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj258)
      self.obj258.postAction( self.LHS.CREATE )

      self.obj264=T_Car(parent)
      self.obj264.preAction( self.LHS.CREATE )
      self.obj264.isGraphObjectVisual = True

      if(hasattr(self.obj264, '_setHierarchicalLink')):
        self.obj264._setHierarchicalLink(False)

      self.obj264.GGLabel.setValue(4)
      self.obj264.graphClass_= graph_T_Car
      if parent.genGraphics:
         new_obj = graph_T_Car(320.0,20.0,self.obj264)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj264.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj264)
      self.obj264.postAction( self.LHS.CREATE )

      self.obj265=T_DrivesOn(parent)
      self.obj265.preAction( self.LHS.CREATE )
      self.obj265.isGraphObjectVisual = True

      if(hasattr(self.obj265, '_setHierarchicalLink')):
        self.obj265._setHierarchicalLink(False)

      self.obj265.GGLabel.setValue(5)
      self.obj265.graphClass_= graph_T_DrivesOn
      if parent.genGraphics:
         new_obj = graph_T_DrivesOn(225.0,74.5,self.obj265)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj265.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj265)
      self.obj265.postAction( self.LHS.CREATE )

      self.obj260=T_Next(parent)
      self.obj260.preAction( self.LHS.CREATE )
      self.obj260.isGraphObjectVisual = True

      if(hasattr(self.obj260, '_setHierarchicalLink')):
        self.obj260._setHierarchicalLink(False)

      self.obj260.GGLabel.setValue(3)
      self.obj260.graphClass_= graph_T_Next
      if parent.genGraphics:
         new_obj = graph_T_Next(175.0,145.5,self.obj260)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj260.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj260)
      self.obj260.postAction( self.LHS.CREATE )

      self.obj258.out_connections_.append(self.obj260)
      self.obj260.in_connections_.append(self.obj258)
      self.obj258.graphObject_.pendingConnections.append((self.obj258.graphObject_.tag, self.obj260.graphObject_.tag, [129.0, 105.0, 175.0, 145.5], 0, True))
      self.obj264.out_connections_.append(self.obj265)
      self.obj265.in_connections_.append(self.obj264)
      self.obj264.graphObject_.pendingConnections.append((self.obj264.graphObject_.tag, self.obj265.graphObject_.tag, [321.0, 44.0, 225.0, 74.5], 0, True))
      self.obj265.out_connections_.append(self.obj258)
      self.obj258.in_connections_.append(self.obj265)
      self.obj265.graphObject_.pendingConnections.append((self.obj265.graphObject_.tag, self.obj258.graphObject_.tag, [129.0, 105.0, 225.0, 74.5], 0, True))
      self.obj260.out_connections_.append(self.obj259)
      self.obj259.in_connections_.append(self.obj260)
      self.obj260.graphObject_.pendingConnections.append((self.obj260.graphObject_.tag, self.obj259.graphObject_.tag, [221.0, 186.0, 175.0, 145.5], 0, True))

      self.RHS = ASG_Traffic(parent)

      self.obj262=T_Place(parent)
      self.obj262.preAction( self.RHS.CREATE )
      self.obj262.isGraphObjectVisual = True

      if(hasattr(self.obj262, '_setHierarchicalLink')):
        self.obj262._setHierarchicalLink(False)

      self.obj262.GGLabel.setValue(2)
      self.obj262.graphClass_= graph_T_Place
      if parent.genGraphics:
         new_obj = graph_T_Place(220.0,180.0,self.obj262)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj262.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj262)
      self.obj262.postAction( self.RHS.CREATE )

      self.obj261=T_RoadSegment(parent)
      self.obj261.preAction( self.RHS.CREATE )
      self.obj261.isGraphObjectVisual = True

      if(hasattr(self.obj261, '_setHierarchicalLink')):
        self.obj261._setHierarchicalLink(False)

      self.obj261.GGLabel.setValue(1)
      self.obj261.graphClass_= graph_T_RoadSegment
      if parent.genGraphics:
         new_obj = graph_T_RoadSegment(100.0,60.0,self.obj261)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj261.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj261)
      self.obj261.postAction( self.RHS.CREATE )

      self.obj266=T_Car(parent)
      self.obj266.preAction( self.RHS.CREATE )
      self.obj266.isGraphObjectVisual = True

      if(hasattr(self.obj266, '_setHierarchicalLink')):
        self.obj266._setHierarchicalLink(False)

      self.obj266.GGLabel.setValue(4)
      self.obj266.graphClass_= graph_T_Car
      if parent.genGraphics:
         new_obj = graph_T_Car(300.0,40.0,self.obj266)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj266.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj266)
      self.obj266.postAction( self.RHS.CREATE )

      self.obj267=T_DrivesOn(parent)
      self.obj267.preAction( self.RHS.CREATE )
      self.obj267.isGraphObjectVisual = True

      if(hasattr(self.obj267, '_setHierarchicalLink')):
        self.obj267._setHierarchicalLink(False)

      self.obj267.GGLabel.setValue(5)
      self.obj267.graphClass_= graph_T_DrivesOn
      if parent.genGraphics:
         new_obj = graph_T_DrivesOn(285.0,134.5,self.obj267)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj267.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj267)
      self.obj267.postAction( self.RHS.CREATE )

      self.obj263=T_Next(parent)
      self.obj263.preAction( self.RHS.CREATE )
      self.obj263.isGraphObjectVisual = True

      if(hasattr(self.obj263, '_setHierarchicalLink')):
        self.obj263._setHierarchicalLink(False)

      self.obj263.GGLabel.setValue(3)
      self.obj263.graphClass_= graph_T_Next
      if parent.genGraphics:
         new_obj = graph_T_Next(197.0,132.5,self.obj263)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj263.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj263)
      self.obj263.postAction( self.RHS.CREATE )

      self.obj261.out_connections_.append(self.obj263)
      self.obj263.in_connections_.append(self.obj261)
      self.obj261.graphObject_.pendingConnections.append((self.obj261.graphObject_.tag, self.obj263.graphObject_.tag, [149.0, 85.0, 197.0, 132.5], 0, True))
      self.obj266.out_connections_.append(self.obj267)
      self.obj267.in_connections_.append(self.obj266)
      self.obj266.graphObject_.pendingConnections.append((self.obj266.graphObject_.tag, self.obj267.graphObject_.tag, [325.0, 88.999999999999986, 285.0, 134.5], 0, True))
      self.obj267.out_connections_.append(self.obj262)
      self.obj262.in_connections_.append(self.obj267)
      self.obj267.graphObject_.pendingConnections.append((self.obj267.graphObject_.tag, self.obj262.graphObject_.tag, [245.00000000000006, 180.0, 285.0, 134.5], 0, True))
      self.obj263.out_connections_.append(self.obj262)
      self.obj262.in_connections_.append(self.obj263)
      self.obj263.graphObject_.pendingConnections.append((self.obj263.graphObject_.tag, self.obj262.graphObject_.tag, [245.00000000000006, 180.0, 197.0, 132.5], 0, True))

   def condition(self, graphID, isograph, atom3i):
      return 1
      

   def action(self, graphID, isograph, atom3i):
      pass

