# _ forkToPlace_GG_rule.py ____________________________________________________________________________
# File generated automatically by ATOM3. Graph Grammar Rule
# ___________________________________________________________________________________________
from GGrule import *
from ASG_Traffic import *
from TRoadSegment import *
from TCar import *
from TNext import *
from TDrivesOn import *
from TSplit import *
from TPlace import *
from TFork import *
class forkToPlace_GG_rule (GGrule):

   def __init__(self, parent):
      GGrule.__init__(self, 2)
      self.TimeDelay = ATOM3Integer(2)
      self.exactMatch = 0
      self.LHS = ASG_Traffic(parent)

      self.obj95=TPlace(parent)
      self.obj95.preAction( self.LHS.CREATE )
      self.obj95.isGraphObjectVisual = True

      if(hasattr(self.obj95, '_setHierarchicalLink')):
        self.obj95._setHierarchicalLink(False)

      self.obj95.GGLabel.setValue(2)
      self.obj95.graphClass_= graph_TPlace
      if parent.genGraphics:
         new_obj = graph_TPlace(220.0,180.0,self.obj95)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj95.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj95)
      self.obj95.postAction( self.LHS.CREATE )

      self.obj96=TFork(parent)
      self.obj96.preAction( self.LHS.CREATE )
      self.obj96.isGraphObjectVisual = True

      if(hasattr(self.obj96, '_setHierarchicalLink')):
        self.obj96._setHierarchicalLink(False)

      self.obj96.GGLabel.setValue(1)
      self.obj96.graphClass_= graph_TFork
      if parent.genGraphics:
         new_obj = graph_TFork(80.0,80.0,self.obj96)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj96.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj96)
      self.obj96.postAction( self.LHS.CREATE )

      self.obj97=TCar(parent)
      self.obj97.preAction( self.LHS.CREATE )
      self.obj97.isGraphObjectVisual = True

      if(hasattr(self.obj97, '_setHierarchicalLink')):
        self.obj97._setHierarchicalLink(False)

      self.obj97.GGLabel.setValue(4)
      self.obj97.graphClass_= graph_TCar
      if parent.genGraphics:
         new_obj = graph_TCar(280.0,60.0,self.obj97)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj97.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj97)
      self.obj97.postAction( self.LHS.CREATE )

      self.obj98=TDrivesOn(parent)
      self.obj98.preAction( self.LHS.CREATE )
      self.obj98.isGraphObjectVisual = True

      if(hasattr(self.obj98, '_setHierarchicalLink')):
        self.obj98._setHierarchicalLink(False)

      self.obj98.GGLabel.setValue(5)
      self.obj98.graphClass_= graph_TDrivesOn
      if parent.genGraphics:
         new_obj = graph_TDrivesOn(204.5,84.0,self.obj98)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj98.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj98)
      self.obj98.postAction( self.LHS.CREATE )

      self.obj99=TSplit(parent)
      self.obj99.preAction( self.LHS.CREATE )
      self.obj99.isGraphObjectVisual = True

      if(hasattr(self.obj99, '_setHierarchicalLink')):
        self.obj99._setHierarchicalLink(False)

      self.obj99.GGLabel.setValue(3)
      self.obj99.graphClass_= graph_TSplit
      if parent.genGraphics:
         new_obj = graph_TSplit(175.0,166.0,self.obj99)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj99.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj99)
      self.obj99.postAction( self.LHS.CREATE )

      self.obj96.out_connections_.append(self.obj99)
      self.obj99.in_connections_.append(self.obj96)
      self.obj96.graphObject_.pendingConnections.append((self.obj96.graphObject_.tag, self.obj99.graphObject_.tag, [127.99999999999999, 127.99999999999999, 175.0, 166.0], 0, True))
      self.obj97.out_connections_.append(self.obj98)
      self.obj98.in_connections_.append(self.obj97)
      self.obj97.graphObject_.pendingConnections.append((self.obj97.graphObject_.tag, self.obj98.graphObject_.tag, [282.0, 85.0, 204.5, 84.0], 0, True))
      self.obj98.out_connections_.append(self.obj96)
      self.obj96.in_connections_.append(self.obj98)
      self.obj98.graphObject_.pendingConnections.append((self.obj98.graphObject_.tag, self.obj96.graphObject_.tag, [127.0, 83.0, 204.5, 84.0], 0, True))
      self.obj99.out_connections_.append(self.obj95)
      self.obj95.in_connections_.append(self.obj99)
      self.obj99.graphObject_.pendingConnections.append((self.obj99.graphObject_.tag, self.obj95.graphObject_.tag, [222.0, 203.99999999999997, 175.0, 166.0], 0, True))

      self.RHS = ASG_Traffic(parent)

      self.obj101=TPlace(parent)
      self.obj101.preAction( self.RHS.CREATE )
      self.obj101.isGraphObjectVisual = True

      if(hasattr(self.obj101, '_setHierarchicalLink')):
        self.obj101._setHierarchicalLink(False)

      self.obj101.GGLabel.setValue(2)
      self.obj101.graphClass_= graph_TPlace
      if parent.genGraphics:
         new_obj = graph_TPlace(220.0,180.0,self.obj101)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj101.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj101)
      self.obj101.postAction( self.RHS.CREATE )

      self.obj102=TFork(parent)
      self.obj102.preAction( self.RHS.CREATE )
      self.obj102.isGraphObjectVisual = True

      if(hasattr(self.obj102, '_setHierarchicalLink')):
        self.obj102._setHierarchicalLink(False)

      self.obj102.GGLabel.setValue(1)
      self.obj102.graphClass_= graph_TFork
      if parent.genGraphics:
         new_obj = graph_TFork(80.0,80.0,self.obj102)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj102.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj102)
      self.obj102.postAction( self.RHS.CREATE )

      self.obj103=TCar(parent)
      self.obj103.preAction( self.RHS.CREATE )
      self.obj103.isGraphObjectVisual = True

      if(hasattr(self.obj103, '_setHierarchicalLink')):
        self.obj103._setHierarchicalLink(False)

      self.obj103.GGLabel.setValue(4)
      self.obj103.graphClass_= graph_TCar
      if parent.genGraphics:
         new_obj = graph_TCar(280.0,60.0,self.obj103)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj103.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj103)
      self.obj103.postAction( self.RHS.CREATE )

      self.obj104=TDrivesOn(parent)
      self.obj104.preAction( self.RHS.CREATE )
      self.obj104.isGraphObjectVisual = True

      if(hasattr(self.obj104, '_setHierarchicalLink')):
        self.obj104._setHierarchicalLink(False)

      self.obj104.GGLabel.setValue(6)
      self.obj104.graphClass_= graph_TDrivesOn
      if parent.genGraphics:
         new_obj = graph_TDrivesOn(274.0,145.0,self.obj104)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj104.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj104)
      self.obj104.postAction( self.RHS.CREATE )

      self.obj105=TSplit(parent)
      self.obj105.preAction( self.RHS.CREATE )
      self.obj105.isGraphObjectVisual = True

      if(hasattr(self.obj105, '_setHierarchicalLink')):
        self.obj105._setHierarchicalLink(False)

      self.obj105.GGLabel.setValue(3)
      self.obj105.graphClass_= graph_TSplit
      if parent.genGraphics:
         new_obj = graph_TSplit(175.0,166.0,self.obj105)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj105.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj105)
      self.obj105.postAction( self.RHS.CREATE )

      self.obj102.out_connections_.append(self.obj105)
      self.obj105.in_connections_.append(self.obj102)
      self.obj102.graphObject_.pendingConnections.append((self.obj102.graphObject_.tag, self.obj105.graphObject_.tag, [127.99999999999999, 127.99999999999999, 175.0, 166.0], 2, 0))
      self.obj103.out_connections_.append(self.obj104)
      self.obj104.in_connections_.append(self.obj103)
      self.obj103.graphObject_.pendingConnections.append((self.obj103.graphObject_.tag, self.obj104.graphObject_.tag, [304.0, 109.0, 274.0, 145.0], 0, True))
      self.obj104.out_connections_.append(self.obj101)
      self.obj101.in_connections_.append(self.obj104)
      self.obj104.graphObject_.pendingConnections.append((self.obj104.graphObject_.tag, self.obj101.graphObject_.tag, [244.0, 181.0, 274.0, 145.0], 0, True))
      self.obj105.out_connections_.append(self.obj101)
      self.obj101.in_connections_.append(self.obj105)
      self.obj105.graphObject_.pendingConnections.append((self.obj105.graphObject_.tag, self.obj101.graphObject_.tag, [222.0, 203.99999999999997, 175.0, 166.0], 2, 0))

   def condition(self, graphID, isograph, atom3i):
      return 1
      

   def action(self, graphID, isograph, atom3i):
      pass

