# _ roadToPlace_GG_rule.py ____________________________________________________________________________
# File generated automatically by ATOM3. Graph Grammar Rule
# ___________________________________________________________________________________________
from GGrule import *
from ASG_Traffic import *
from TRoadSegment import *
from TCar import *
from TNext import *
from TDrivesOn import *
from TSplit import *
from TPlace import *
from TFork import *
class roadToPlace_GG_rule (GGrule):

   def __init__(self, parent):
      GGrule.__init__(self, 1)
      self.TimeDelay = ATOM3Integer(2)
      self.exactMatch = 0
      self.LHS = ASG_Traffic(parent)

      self.obj80=TPlace(parent)
      self.obj80.preAction( self.LHS.CREATE )
      self.obj80.isGraphObjectVisual = True

      if(hasattr(self.obj80, '_setHierarchicalLink')):
        self.obj80._setHierarchicalLink(False)

      self.obj80.GGLabel.setValue(2)
      self.obj80.graphClass_= graph_TPlace
      if parent.genGraphics:
         new_obj = graph_TPlace(220.0,240.0,self.obj80)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj80.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj80)
      self.obj80.postAction( self.LHS.CREATE )

      self.obj81=TRoadSegment(parent)
      self.obj81.preAction( self.LHS.CREATE )
      self.obj81.isGraphObjectVisual = True

      if(hasattr(self.obj81, '_setHierarchicalLink')):
        self.obj81._setHierarchicalLink(False)

      self.obj81.GGLabel.setValue(1)
      self.obj81.graphClass_= graph_TRoadSegment
      if parent.genGraphics:
         new_obj = graph_TRoadSegment(60.0,120.0,self.obj81)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj81.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj81)
      self.obj81.postAction( self.LHS.CREATE )

      self.obj82=TCar(parent)
      self.obj82.preAction( self.LHS.CREATE )
      self.obj82.isGraphObjectVisual = True

      if(hasattr(self.obj82, '_setHierarchicalLink')):
        self.obj82._setHierarchicalLink(False)

      self.obj82.GGLabel.setValue(4)
      self.obj82.graphClass_= graph_TCar
      if parent.genGraphics:
         new_obj = graph_TCar(240.0,80.0,self.obj82)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj82.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj82)
      self.obj82.postAction( self.LHS.CREATE )

      self.obj83=TDrivesOn(parent)
      self.obj83.preAction( self.LHS.CREATE )
      self.obj83.isGraphObjectVisual = True

      if(hasattr(self.obj83, '_setHierarchicalLink')):
        self.obj83._setHierarchicalLink(False)

      self.obj83.GGLabel.setValue(5)
      self.obj83.graphClass_= graph_TDrivesOn
      if parent.genGraphics:
         new_obj = graph_TDrivesOn(176.0,124.5,self.obj83)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj83.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj83)
      self.obj83.postAction( self.LHS.CREATE )

      self.obj84=TNext(parent)
      self.obj84.preAction( self.LHS.CREATE )
      self.obj84.isGraphObjectVisual = True

      if(hasattr(self.obj84, '_setHierarchicalLink')):
        self.obj84._setHierarchicalLink(False)

      self.obj84.GGLabel.setValue(3)
      self.obj84.graphClass_= graph_TNext
      if parent.genGraphics:
         new_obj = graph_TNext(154.0,217.0,self.obj84)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj84.graphObject_ = new_obj

      # Add node to the root: self.LHS
      self.LHS.addNode(self.obj84)
      self.obj84.postAction( self.LHS.CREATE )

      self.obj81.out_connections_.append(self.obj84)
      self.obj84.in_connections_.append(self.obj81)
      self.obj81.graphObject_.pendingConnections.append((self.obj81.graphObject_.tag, self.obj84.graphObject_.tag, [86.0, 170.0, 154.0, 217.0], 0, True))
      self.obj82.out_connections_.append(self.obj83)
      self.obj83.in_connections_.append(self.obj82)
      self.obj82.graphObject_.pendingConnections.append((self.obj82.graphObject_.tag, self.obj83.graphObject_.tag, [241.99999999999997, 105.0, 176.0, 124.5], 0, True))
      self.obj83.out_connections_.append(self.obj81)
      self.obj81.in_connections_.append(self.obj83)
      self.obj83.graphObject_.pendingConnections.append((self.obj83.graphObject_.tag, self.obj81.graphObject_.tag, [110.0, 144.0, 176.0, 124.5], 0, True))
      self.obj84.out_connections_.append(self.obj80)
      self.obj80.in_connections_.append(self.obj84)
      self.obj84.graphObject_.pendingConnections.append((self.obj84.graphObject_.tag, self.obj80.graphObject_.tag, [222.0, 264.0, 154.0, 217.0], 0, True))

      self.RHS = ASG_Traffic(parent)

      self.obj86=TPlace(parent)
      self.obj86.preAction( self.RHS.CREATE )
      self.obj86.isGraphObjectVisual = True

      if(hasattr(self.obj86, '_setHierarchicalLink')):
        self.obj86._setHierarchicalLink(False)

      self.obj86.GGLabel.setValue(2)
      self.obj86.graphClass_= graph_TPlace
      if parent.genGraphics:
         new_obj = graph_TPlace(220.0,240.0,self.obj86)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj86.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj86)
      self.obj86.postAction( self.RHS.CREATE )

      self.obj87=TRoadSegment(parent)
      self.obj87.preAction( self.RHS.CREATE )
      self.obj87.isGraphObjectVisual = True

      if(hasattr(self.obj87, '_setHierarchicalLink')):
        self.obj87._setHierarchicalLink(False)

      self.obj87.GGLabel.setValue(1)
      self.obj87.graphClass_= graph_TRoadSegment
      if parent.genGraphics:
         new_obj = graph_TRoadSegment(60.0,120.0,self.obj87)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj87.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj87)
      self.obj87.postAction( self.RHS.CREATE )

      self.obj88=TCar(parent)
      self.obj88.preAction( self.RHS.CREATE )
      self.obj88.isGraphObjectVisual = True

      if(hasattr(self.obj88, '_setHierarchicalLink')):
        self.obj88._setHierarchicalLink(False)

      self.obj88.GGLabel.setValue(4)
      self.obj88.graphClass_= graph_TCar
      if parent.genGraphics:
         new_obj = graph_TCar(240.0,80.0,self.obj88)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
         new_obj.layConstraints['scale'] = [1.0, 1.0]
      else: new_obj = None
      self.obj88.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj88)
      self.obj88.postAction( self.RHS.CREATE )

      self.obj89=TDrivesOn(parent)
      self.obj89.preAction( self.RHS.CREATE )
      self.obj89.isGraphObjectVisual = True

      if(hasattr(self.obj89, '_setHierarchicalLink')):
        self.obj89._setHierarchicalLink(False)

      self.obj89.GGLabel.setValue(6)
      self.obj89.graphClass_= graph_TDrivesOn
      if parent.genGraphics:
         new_obj = graph_TDrivesOn(254.0,185.0,self.obj89)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj89.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj89)
      self.obj89.postAction( self.RHS.CREATE )

      self.obj90=TNext(parent)
      self.obj90.preAction( self.RHS.CREATE )
      self.obj90.isGraphObjectVisual = True

      if(hasattr(self.obj90, '_setHierarchicalLink')):
        self.obj90._setHierarchicalLink(False)

      self.obj90.GGLabel.setValue(3)
      self.obj90.graphClass_= graph_TNext
      if parent.genGraphics:
         new_obj = graph_TNext(154.0,217.0,self.obj90)
         new_obj.layConstraints = dict() # Graphical Layout Constraints 
      else: new_obj = None
      self.obj90.graphObject_ = new_obj

      # Add node to the root: self.RHS
      self.RHS.addNode(self.obj90)
      self.obj90.postAction( self.RHS.CREATE )

      self.obj87.out_connections_.append(self.obj90)
      self.obj90.in_connections_.append(self.obj87)
      self.obj87.graphObject_.pendingConnections.append((self.obj87.graphObject_.tag, self.obj90.graphObject_.tag, [86.0, 170.0, 154.0, 217.0], 2, 0))
      self.obj88.out_connections_.append(self.obj89)
      self.obj89.in_connections_.append(self.obj88)
      self.obj88.graphObject_.pendingConnections.append((self.obj88.graphObject_.tag, self.obj89.graphObject_.tag, [264.0, 129.0, 254.0, 185.0], 0, True))
      self.obj89.out_connections_.append(self.obj86)
      self.obj86.in_connections_.append(self.obj89)
      self.obj89.graphObject_.pendingConnections.append((self.obj89.graphObject_.tag, self.obj86.graphObject_.tag, [244.0, 241.0, 254.0, 185.0], 0, True))
      self.obj90.out_connections_.append(self.obj86)
      self.obj86.in_connections_.append(self.obj90)
      self.obj90.graphObject_.pendingConnections.append((self.obj90.graphObject_.tag, self.obj86.graphObject_.tag, [222.0, 264.0, 154.0, 217.0], 2, 0))

   def condition(self, graphID, isograph, atom3i):
      return 1
      

   def action(self, graphID, isograph, atom3i):
      pass

